Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.InvalidOperationException

A is thrown by descendants of and to indicate an error using the underlying protocol. For example, the and classes throw a to indicate an error using HTTP.

The exception that is thrown when an error is made while using a network protocol.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The property is initialized to a system-supplied message that describes the error. The property is initialized to null.

  Initializes a new instance of the class.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes a new instance of the class with the property set to the value of the parameter. If is a null reference, the Message property is initialized to a system-supplied message. The InnerException property is initialized to null.

  Initializes a new instance of the class with the specified message.

  The error message string.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor implements the interface for the class.

  Initializes a new instance of the class from the specified and instances.

  A that contains the information that is required to deserialize the .
  A that contains the source of the serialized stream that is associated with the new .
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Any objects included in the are automatically tracked and serialized by the formatter.

  Populates a with the data required to serialize the target object.

  The to populate with data. A that specifies the destination for this serialization.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Serializes this instance into the specified object.

0